Last Comment Bug 538747 - Port |Bug 530667 - (SQLite3.6.22) Upgrade to SQLite 3.6.22| to comm-central
: Port |Bug 530667 - (SQLite3.6.22) Upgrade to SQLite 3.6.22| to comm-central
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Thunderbird 3.1b1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 493560 508104 SQLite3.6.20 SQLite3.6.16.1 SQLite3.6.22 540786
Blocks: C191ConfSync C192ConfSync 531116
  Show dependency treegraph
 
Reported: 2010-01-09 02:58 PST by Serge Gautherie (:sgautherie)
Modified: 2010-06-01 16:03 PDT (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.2-fixed


Attachments
(Av1-191) Also resync' c-1.9.1 with m-1.9.1 (750 bytes, patch)
2010-01-10 05:31 PST, Serge Gautherie (:sgautherie)
no flags Details | Diff | Review
(Av1a-191) Also resync' c-1.9.1 with m-1.9.1 [Checkin: Comment 8] (768 bytes, patch)
2010-01-10 06:00 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
standard8: approval‑thunderbird3.0.1-
standard8: approval‑thunderbird3.0.2+
Details | Diff | Review
(Bv1) Resync' c-c with m-1.9.2 and m-c [Checkin: Comment 9] (1000 bytes, patch)
2010-01-10 06:13 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Review

Comment 1 Serge Gautherie (:sgautherie) 2010-01-10 05:05:06 PST
Let's port/supersede bug 493560, bug 508104, bug 525539 and bug 524144 too ;->
Comment 2 Serge Gautherie (:sgautherie) 2010-01-10 05:31:42 PST
Created attachment 420955 [details] [diff] [review]
(Av1-191) Also resync' c-1.9.1 with m-1.9.1

"approval-thunderbird3.0.1=?":
Zero risk, build config only.
Comment 3 Serge Gautherie (:sgautherie) 2010-01-10 06:00:37 PST
Created attachment 420957 [details] [diff] [review]
(Av1a-191) Also resync' c-1.9.1 with m-1.9.1
[Checkin: Comment 8]

Av1-191, with correct bug references.
Comment 4 Serge Gautherie (:sgautherie) 2010-01-10 06:13:05 PST
Created attachment 420958 [details] [diff] [review]
(Bv1) Resync' c-c with m-1.9.2 and m-c
[Checkin: Comment 9]
Comment 5 Mark Banner (:standard8) 2010-01-10 06:49:42 PST
Comment on attachment 420957 [details] [diff] [review]
(Av1a-191) Also resync' c-1.9.1 with m-1.9.1
[Checkin: Comment 8]

Given bug 531116 then this would still effectively be wrong for Thunderbird. As the mozilla-central version will still ensure a correct minimum value for SeaMonkey, not going to care about this for 3.0.1 as we should already be frozen for that.
Comment 6 Justin Wood (:Callek) 2010-01-13 13:12:45 PST
Comment on attachment 420958 [details] [diff] [review]
(Bv1) Resync' c-c with m-1.9.2 and m-c
[Checkin: Comment 9]

dmose the additional review should be treated as an approval request for trunk c-c (or 1.9.2 branch c-c if serge doesn't land right away).

Very low risk, will cause us to error out of configure early if system sqlite is less than what we require, aiui
Comment 7 Mark Banner (:standard8) 2010-01-19 03:21:27 PST
Comment on attachment 420957 [details] [diff] [review]
(Av1a-191) Also resync' c-1.9.1 with m-1.9.1
[Checkin: Comment 8]

a=Standard8. We'll deal with how Thunderbird works separately.
Comment 8 Serge Gautherie (:sgautherie) 2010-01-19 05:15:59 PST
Comment on attachment 420957 [details] [diff] [review]
(Av1a-191) Also resync' c-1.9.1 with m-1.9.1
[Checkin: Comment 8]


http://hg.mozilla.org/releases/comm-1.9.1/rev/794a97d4ddad
Comment 9 Serge Gautherie (:sgautherie) 2010-01-19 21:40:56 PST
Comment on attachment 420958 [details] [diff] [review]
(Bv1) Resync' c-c with m-1.9.2 and m-c
[Checkin: Comment 9]


http://hg.mozilla.org/comm-central/rev/eabad25ed774
Comment 10 Mark Banner (:standard8) 2010-02-16 12:53:37 PST
Verified fixed on 1.9.1 by code inspection.

Note You need to log in before you can comment on or make changes to this bug.